Calls
List calls of a lead
Returns call records attached to the given lead, with pagination metadata.
Notes:
- leadId is required and must be > 0; otherwise 404 LEAD_NOT_FOUND.
- Caller must have manage permission on the lead; otherwise 400 PERMISSION_DENIED.
- total in _metadata reflects the full result size before pagination.
GET
/
v1.0
/
calls
List calls of a lead
curl --request GET \
--url https://api.lofty.com/v1.0/calls \
--header 'Authorization: <authorization>'import requests
url = "https://api.lofty.com/v1.0/calls"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lofty.com/v1.0/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lofty.com/v1.0/calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lofty.com/v1.0/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lofty.com/v1.0/calls")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lofty.com/v1.0/calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"get_metadata": {
"collection": "note",
"limit": 10,
"offset": 0,
"total": 50,
"scrollId": "<string>"
},
"calls": [
{
"id": 563172647619608,
"dialerCallRecordId": 400000012345,
"userId": 100234,
"userPhoneNumber": "+14155550100",
"leadId": 100001,
"leadPhoneNumber": "+14155550199",
"direction": "Outbound",
"status": "Completed",
"startTime": "2026-04-22 10:15:00",
"endTime": "2026-04-22 10:18:45",
"duration": 225,
"callingOutcome": "Talked",
"rateScore": 4,
"recordingSwitch": true,
"showUserNumber": "+14155550100",
"createTime": "2026-04-22 10:15:00",
"updateTime": "2026-04-22 10:18:45",
"note": "Discussed pre-approval timeline.",
"isMachineAnswered": false,
"price": 0.02,
"agentId": 100234,
"elapsedTime": "00:08"
}
]
}"<string>""<string>""<string>""<string>"Headers
Bearer [access_token]
Query Parameters
Number of results to return per page.
Required range:
x >= 1Zero-based index of the first entry to return.
Required range:
x >= 0ID of the lead whose calls to return.
Required range:
x >= 1⌘I
List calls of a lead
curl --request GET \
--url https://api.lofty.com/v1.0/calls \
--header 'Authorization: <authorization>'import requests
url = "https://api.lofty.com/v1.0/calls"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.lofty.com/v1.0/calls', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lofty.com/v1.0/calls",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.lofty.com/v1.0/calls"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.lofty.com/v1.0/calls")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.lofty.com/v1.0/calls")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"get_metadata": {
"collection": "note",
"limit": 10,
"offset": 0,
"total": 50,
"scrollId": "<string>"
},
"calls": [
{
"id": 563172647619608,
"dialerCallRecordId": 400000012345,
"userId": 100234,
"userPhoneNumber": "+14155550100",
"leadId": 100001,
"leadPhoneNumber": "+14155550199",
"direction": "Outbound",
"status": "Completed",
"startTime": "2026-04-22 10:15:00",
"endTime": "2026-04-22 10:18:45",
"duration": 225,
"callingOutcome": "Talked",
"rateScore": 4,
"recordingSwitch": true,
"showUserNumber": "+14155550100",
"createTime": "2026-04-22 10:15:00",
"updateTime": "2026-04-22 10:18:45",
"note": "Discussed pre-approval timeline.",
"isMachineAnswered": false,
"price": 0.02,
"agentId": 100234,
"elapsedTime": "00:08"
}
]
}"<string>""<string>""<string>""<string>"